#ifndef CONFIG_H
#define CONFIG_H

#include <QSettings>
#include <QDebug>
#include <string>

#define ORGANIZATION_NAME "LotRO: Legacy Team"
#define ORGANIZATION_DOMAIN "www.translate.lotros.ru"
#define APPLICATION_NAME "LotRO: Legacy"

class AConfig {
private:
    AConfig();

public:
    static AConfig* getInstance() {
        static AConfig instance;
        return &instance;
    }

    void saveConfig();

    void setValue(QString section, QString key, QString value);
    QString getValue(QString section, QString key);

    void deleteKey(QString section, QString key);
    void deleteSection(QString section);

private:
    QString filename_;
};

#endif // CONFIG_H
